#include "cg.h"

__kernel void main_2(__global double *q,
                     __global double *z,
                     __global double *r,
                     __global double *p,
                     int n)
{
  int j = get_global_id(0);
  if (j >= n) return;

  q[j] = 0.0;
  z[j] = 0.0;
  r[j] = 0;
  p[j] = 0;
}

